#
View Source Ash.Resource.Aggregate (ash v2.14.2)

Represents a named aggregate on the resource that can be loaded

# Link to this section Summary

## Types

t()

## Functions

relationship_path(value)

# Link to this section Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Resource.Aggregate{
      authorize?: boolean(),
      constraints: term(),
      default: term(),
      description: String.t() | nil,
      field: atom(),
      filter: Keyword.t(),
      filterable?: term(),
      implementation: term(),
      kind: Ash.Query.Aggregate.kind(),
      name: atom(),
      private?: boolean(),
      read_action: atom() | nil,
      relationship_path: [atom()],
      sort: term(),
      type: term(),
      uniq?: term()
    }

# Link to this section Functions

Link to this function

# relationship_path(value)

View Source